exploit the possibilities

Ubuntu Security Notice USN-4689-1

Ubuntu Security Notice USN-4689-1
Posted Jan 12, 2021
Authored by Ubuntu | Site security.ubuntu.com

Ubuntu Security Notice 4689-1 - It was discovered that the NVIDIA GPU display driver for the Linux kernel contained a vulnerability that allowed user-mode clients to access legacy privileged APIs. A local attacker could use this to cause a denial of service or escalate privileges. It was discovered that the NVIDIA GPU display driver for the Linux kernel did not properly validate a pointer received from userspace in some situations. A local attacker could use this to cause a denial of service. Various other issues were also addressed.

tags | advisory, denial of service, kernel, local
systems | linux, ubuntu
advisories | CVE-2021-1052, CVE-2021-1053, CVE-2021-1056
MD5 | 981d1a54d362e0eb1a220d6c10591e46

Ubuntu Security Notice USN-4689-1

Change Mirror Download
==========================================================================
Ubuntu Security Notice USN-4689-1
January 11, 2021

nvidia-graphics-drivers-390, nvidia-graphics-drivers-450,
nvidia-graphics-drivers-460 vulnerabilities
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 20.10
- Ubuntu 20.04 LTS
- Ubuntu 18.04 LTS

Summary:

Several security issues were fixed in NVIDIA graphics drivers.

Software Description:
- nvidia-graphics-drivers-390: NVIDIA binary X.Org driver
- nvidia-graphics-drivers-450: NVIDIA binary X.Org driver
- nvidia-graphics-drivers-460: NVIDIA binary X.Org driver

Details:

It was discovered that the NVIDIA GPU display driver for the Linux kernel
contained a vulnerability that allowed user-mode clients to access legacy
privileged APIs. A local attacker could use this to cause a denial of
service or escalate privileges. (CVE-2021-1052)

It was discovered that the NVIDIA GPU display driver for the Linux kernel
did not properly validate a pointer received from userspace in some
situations. A local attacker could use this to cause a denial of service.
(CVE-2021-1053)

Xinyuan Lyu discovered that the NVIDIA GPU display driver for the Linux
kernel did not properly restrict device-level GPU isolation. A local
attacker could use this to cause a denial of service or possibly expose
sensitive information. (CVE-2021-1056)

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 20.10:
xserver-xorg-video-nvidia-390 390.141-0ubuntu0.20.10.1
xserver-xorg-video-nvidia-440 450.102.04-0ubuntu0.20.10.1
xserver-xorg-video-nvidia-450 450.102.04-0ubuntu0.20.10.1
xserver-xorg-video-nvidia-455 460.32.03-0ubuntu0.20.10.1
xserver-xorg-video-nvidia-460 460.32.03-0ubuntu0.20.10.1

Ubuntu 20.04 LTS:
xserver-xorg-video-nvidia-390 390.141-0ubuntu0.20.04.1
xserver-xorg-video-nvidia-440 450.102.04-0ubuntu0.20.04.1
xserver-xorg-video-nvidia-450 450.102.04-0ubuntu0.20.04.1
xserver-xorg-video-nvidia-455 460.32.03-0ubuntu0.20.04.1
xserver-xorg-video-nvidia-460 460.32.03-0ubuntu0.20.04.1

Ubuntu 18.04 LTS:
xserver-xorg-video-nvidia-390 390.141-0ubuntu0.18.04.1
xserver-xorg-video-nvidia-440 450.102.04-0ubuntu0.18.04.1
xserver-xorg-video-nvidia-450 450.102.04-0ubuntu0.18.04.1
xserver-xorg-video-nvidia-455 460.32.03-0ubuntu0.18.04.1
xserver-xorg-video-nvidia-460 460.32.03-0ubuntu0.18.04.1

This update uses a new upstream release, which includes additional
bug fixes. After a standard system update you need to reboot your
computer to make all the necessary changes.

References:
https://usn.ubuntu.com/4689-1
CVE-2021-1052, CVE-2021-1053, CVE-2021-1056

Package Information:
https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-390/390.141-0ubuntu0.20.10.1
https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-450/450.102.04-0ubuntu0.20.10.1
https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-460/460.32.03-0ubuntu0.20.10.1
https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-390/390.141-0ubuntu0.20.04.1
https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-450/450.102.04-0ubuntu0.20.04.1
https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-460/460.32.03-0ubuntu0.20.04.1
https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-390/390.141-0ubuntu0.18.04.1
https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-450/450.102.04-0ubuntu0.18.04.1
https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-460/460.32.03-0ubuntu0.18.04.1

Login or Register to add favorites

File Archive:

January 2021

  • Su
  • Mo
  • Tu
  • We
  • Th
  • Fr
  • Sa
  • 1
    Jan 1st
    4 Files
  • 2
    Jan 2nd
    3 Files
  • 3
    Jan 3rd
    3 Files
  • 4
    Jan 4th
    33 Files
  • 5
    Jan 5th
    31 Files
  • 6
    Jan 6th
    21 Files
  • 7
    Jan 7th
    15 Files
  • 8
    Jan 8th
    19 Files
  • 9
    Jan 9th
    1 Files
  • 10
    Jan 10th
    1 Files
  • 11
    Jan 11th
    33 Files
  • 12
    Jan 12th
    19 Files
  • 13
    Jan 13th
    27 Files
  • 14
    Jan 14th
    8 Files
  • 15
    Jan 15th
    16 Files
  • 16
    Jan 16th
    1 Files
  • 17
    Jan 17th
    2 Files
  • 18
    Jan 18th
    20 Files
  • 19
    Jan 19th
    32 Files
  • 20
    Jan 20th
    12 Files
  • 21
    Jan 21st
    0 Files
  • 22
    Jan 22nd
    0 Files
  • 23
    Jan 23rd
    0 Files
  • 24
    Jan 24th
    0 Files
  • 25
    Jan 25th
    0 Files
  • 26
    Jan 26th
    0 Files
  • 27
    Jan 27th
    0 Files
  • 28
    Jan 28th
    0 Files
  • 29
    Jan 29th
    0 Files
  • 30
    Jan 30th
    0 Files
  • 31
    Jan 31st
    0 Files

Top Authors In Last 30 Days

File Tags

Systems

packet storm

© 2020 Packet Storm. All rights reserved.

Services
Security Services
Hosting By
Rokasec
close